Bug 139703 - underquoted definition of AM_PATH_LIBOLE2
underquoted definition of AM_PATH_LIBOLE2
Product: Fedora
Classification: Fedora
Component: libole2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: 149006 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-11-17 11:50 EST by H.J. Lu
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-19 06:32:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2004-11-17 11:50:06 EST
When running /usr/bin/aclocal-1.9 from automake-1.9.2-3 under
libstdc++-v3 in gcc 4.0, I got

# aclocal-1.9
/usr/share/aclocal/libole2.m4:18: warning: underquoted definition of
  run info '(automake)Extending aclocal'
  or see

I have libole2-0.2.4-8.1.
Comment 1 Caolan McNamara 2004-11-19 06:32:15 EST
You're libole2 is a holdover from an older version of fedora. Its no
longer part of FC3. Nothing should require it anymore and its
functionality is replaced with that of libgsf. You should be able to
rpm --erase it. There isn't going to be any updates for it any more.
Comment 2 Caolan McNamara 2005-02-18 04:01:54 EST
*** Bug 149006 has been marked as a duplicate of this bug. ***
Comment 3 Michal Jaegermann 2005-02-18 12:16:27 EST
> Nothing should require it anymore and its functionality is replaced
> with that of libgsf.

In such case it is not really that good that

   rpm -q --obsoletes libgsf

responds with "(none)".  Should I file a bug against libgsf packaging?

I indeed had libole2 on my "rawhide" installation where it was
installed a while ago and nothing removed it.  Without "obsoletes"
this may happen in many update scenarios.

Note You need to log in before you can comment on or make changes to this bug.